PJ_GANTT(1)

NAME
pj_gantt - using R+ggplot2, it plots a space/time view and outputs as a PDF file.

SYNOPSIS

pj_gantt <FILE_states.csv> <state_type> [START_TIME] [END_TIME]

DESCRIPTION

Forthcoming.

OPTIONS

pj_gantt has two obligatory parameters:

<FILE_states.csv> indicates the name of the CSV file generated by pj_dump containing only lines starting with "State". You can very easily obtain such file by issuing:

    pj_dump <your_trace.paje> | grep ^State > <your_trace_states.csv>

<state_type> is the name of the Paje state type that will be considered to draw the space/time view.

And two optional parameters:

[START_TIME] the start time to be considered when drawing.

[END_TIME] the end time to be considered when drawing.

INPUT DESCRIPTION

The pj_gantt(1) command expects one input file that follows the CSV specification followed by pj_dump. See its manpage for details.

OUTPUT DESCRIPTION

Outputs a PDF file with the gantt-chart of the

RESOURCES

Description of the pj_dump CSV in the pj_dump manpage.

Description of the Paje trace file: https://github.com/schnorr/pajeng/blob/master/doc/lang-paje/lang-paje.pdf

Main web site: http://github.com/schnorr/pajeng/

REPORTING BUGS

    Report pj_gantt bugs to <http://github.com/schnorr/pajeng/issues>

COPYRIGHT

Copyright (C) 2012-2016 Lucas M. Schnorr. Free use of this software is granted under the terms of the GNU General Public License (GPL).

SEE ALSO

pj_dump(1)